Skip to main content
`Ctrl`+`K`

# TSGetCostGradients

Returns the gradients from the `TSAdjointSolve()`

## Synopsis

    #include <petscts.h>
    PetscErrorCode TSGetCostGradients(TS ts, PetscInt *numcost, Vec *lambda[], Vec *mu[])

Not Collective, but the vectors returned are parallel if `TS` is parallel

## Input Parameter

- ts - the `TS` context obtained from `TSCreate()`

## Output Parameters

- numcost - size of returned arrays

- lambda - vectors containing the gradients of the cost functions with respect to the ODE/DAE solution variables

- mu - vectors containing the gradients of the cost functions with respect to the problem parameters

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSAdjointSolve()`, `TSSetCostGradients()`

## Level

intermediate

## Location

src/ts/interface/sensitivity/tssen.c

Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages